package com.hzya.frame.sys.viewFiled.dao;

import com.hzya.frame.sys.tableCache.entity.TableCache;
import com.hzya.frame.sys.viewFiled.entity.ViewFiled;
import java.util.List;

/**
 * @description: 显示字段表  dao
 * @tableName: sys_view_filed 
 * @entityName: ViewFiled
 * @author: gjh
 * @history: 1.0
 */
public interface IViewFiledMapper {

        //通过ID获取数据    entity_get
        ViewFiled entity_get(String id);

        //查询 采用==查询   entity_list_base
        List<ViewFiled> entity_list_base(ViewFiled entity);

        //  查询符合条件的数量
        Integer entity_count(ViewFiled entity);

        //分页查询列表 采用like格式 entity_list_like
        List<ViewFiled> entity_list_like(ViewFiled entity);

        //查询列表 字段采用or格式   entity_list_or
        List<ViewFiled> entity_list_or(ViewFiled entity);

        //新增  entity_insert
        Integer entity_insert(ViewFiled entity);

        //修改  entity_update
        Integer entity_update(ViewFiled entity);

        //逻辑删除    entity_delete
        Integer entity_logicDelete(ViewFiled entity);

        //逻辑删除多条件
        Integer entity_logicDelete_Multi_Condition(ViewFiled entity);

        //物理删除
        Integer entity_delete(ViewFiled entity);



        List<ViewFiled> query_table_cache(TableCache entity);
}
